Starting from Version 20.1, VidiFlow starts supporting .Net Core with .Net Standard libraries. However, both library versions are not compatible with each other due to some of the underlying components changed. Please ensure to use the proper versions for different scenarios. The .Net Framework versions will be obsolete in near future.
This section provides the VidiFlow version and the correspondent, supported components versions.

VidiFlow Library Components

Version 22.2



.Net Framework

.Net Standard / .Net 6

Core Components

2.20.x

7.8.x

Integrations

1.45.x

6.66.x

Logging Framework

1.0.x

2.4.x

Installer Framework

20.1.3

-

Time Code Framework

1.2.x

2.4.x

Messaging Framework

-

1.10.x